Bug 175552 - snd-mpu401 prime instead of snd-intel8x0
snd-mpu401 prime instead of snd-intel8x0
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-12 13:42 EST by Gene Czarcinski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 08:40:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci (1.19 KB, text/plain)
2005-12-12 13:43 EST, Gene Czarcinski
no flags Details
lspci -n (645 bytes, text/plain)
2005-12-12 13:43 EST, Gene Czarcinski
no flags Details
lspci -v (6.26 KB, text/plain)
2005-12-12 13:43 EST, Gene Czarcinski
no flags Details
original (bad) /etc/modprobe.conf (458 bytes, text/plain)
2005-12-12 13:44 EST, Gene Czarcinski
no flags Details
updated (good) /etc/modprobe.conf (462 bytes, text/plain)
2005-12-12 13:45 EST, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2005-12-12 13:42:20 EST
Description of problem:
Sound works just fine on FC4 where the primary (only) sound device is snd-intel8x0.

On FC5test1/fc5-development, sound is configured with snd-mpu401 and nothing works.

Changing /etc/modprobe.conf to comment out the mpu401 stuff and make the
intel8x0 "prime" then has sound working.

Attached are various outputs from lspci and well as the original and (good)
modifile /etc/modprobe.conf

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1750_FC5 system-config-soundcard-1.2.14-1
Comment 1 Gene Czarcinski 2005-12-12 13:43:10 EST
Created attachment 122145 [details]
lspci
Comment 2 Gene Czarcinski 2005-12-12 13:43:28 EST
Created attachment 122146 [details]
lspci -n
Comment 3 Gene Czarcinski 2005-12-12 13:43:48 EST
Created attachment 122147 [details]
lspci -v
Comment 4 Gene Czarcinski 2005-12-12 13:44:33 EST
Created attachment 122148 [details]
original (bad) /etc/modprobe.conf
Comment 5 Gene Czarcinski 2005-12-12 13:45:06 EST
Created attachment 122149 [details]
updated (good) /etc/modprobe.conf
Comment 6 Martin Stransky 2005-12-13 04:36:02 EST
Can you use system-config-soundcard and select the primary card here?
Could you attach your /root/scsound.log file?
Comment 7 Gene Czarcinski 2005-12-13 08:40:23 EST
Never mind ... problem was a pilot error.

I had never seen/had a system with two "sound devices" and had never seen the
system-config-soundcard option to select the primary device.  Everything worked
fine when the snd-intel8x0 was selected as the primary.

Since, if primary device option was previously available, it is not seen on most
systems, perhaps it sould be highlighed so users realize that there is an option
for the primary card.

Note You need to log in before you can comment on or make changes to this bug.